Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class ContainerAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.ContainerAction

All Implemented Interfaces:
  ContainerListener, EventListener

public class ContainerAction
extends AbstractAction
implements ContainerListener

Actionimplementierung fuer ContainerEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`ContainerAction()`

Method Summary
`void` | `componentAdded(ContainerEvent ce)`
`void` | `componentRemoved(ContainerEvent ce)`
`void` | `doComponentAdded(ContainerEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doComponentRemoved(ContainerEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerAction

    public ContainerAction()

Method Detail

### componentAdded

    public void componentAdded(ContainerEvent ce)

  Specified by:
    `componentAdded` in interface `ContainerListener`

### doComponentAdded

    public void doComponentAdded(ContainerEvent ce)
                          throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### componentRemoved

    public void componentRemoved(ContainerEvent ce)

  Specified by:
    `componentRemoved` in interface `ContainerListener`

### doComponentRemoved

    public void doComponentRemoved(ContainerEvent ce)
                            throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD